Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class WrongTransactionHelper

    java.lang.Object
      |
      +--org.omg.CORBA.WrongTransactionHelper

public abstract class WrongTransactionHelper
extends Object

The Helper for `WrongTransaction`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/WrongTransactionHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" from CORBA.idl Thursday, August 24, 2000 5:32:50 PM PDT

Constructor Summary
`WrongTransactionHelper()`

Method Summary
`static WrongTransaction` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, WrongTransaction that)`
`static WrongTransaction` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, WrongTransaction value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WrongTransactionHelper

    public WrongTransactionHelper()

Method Detail

### insert

    public static void insert(Any a,
                              WrongTransaction that)

### extract

    public static WrongTransaction extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static WrongTransaction read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             WrongTransaction value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.